#include "functions.h"

Item* readItems(char* fileName, int* dim)
{
	FILE* fp = NULL;
	Item temp;
	Item* res = NULL;
	
	if ((fp = fopen(fileName, "r") == NULL)) {
		printf("Error when opening file \"%s\"", fileName);
		exit(1);
	}
	
	while (fscanf(fp, "%s%s%d", temp.code, temp.type, &temp.val) == 3) {
		(*dim)++;
	}
	
	res = (Item*) malloc((*dim) * sizeof(Item));
	
	for (int i = 0; i < *dim; ++i)
		fscanf(fp, "%s%s%d", res[i].code, res[i].type, &res[i].val);
	
	return res;
}

void printItem(Item o)
{
	printf("code: %s, type: %s, val: %d\n", o.code, o.type, o.val);
}