#include "functions.h"

int readItems(char* fileName, Item v[], int dim)
{
	FILE* fp = NULL;
	int i;
	
	if ((fp = fopen(fileName, "r")) == NULL) {
		printf("Error when opening file \"%s\"", fileName);
		exit(1);
	}
	
	i = 0;
	while (fscanf(fp, "%s%s%d", v[i].code, v[i].type, &v[i].val) == 3 && (i < dim));
		i++;
	
	return i;
}

void printItem(Item o)
{
	printf("%s %d %s\n", o.code, o.type, o.val);
}